Page MenuHomePhabricator

Specialist support for project Content Translation (version 2)
Closed, ResolvedPublic

Description

As Content Translation version 2 is becoming more complete, it is exposed more visibly to users (T194387) for them to switch from the previous version and report feedback.

Currently the team is monitoring the main talk pages for Content translation and version 2. However, considering that translation activities occur on the different wikis, we'd like to increase the reach to request feedback on those wikis and compile an understanding on how the new version is working for the different languages. Capturing both, general issues and language-specific ones.

Regarding the timeline, we expect to increase the number of users using the new version gradually during the October-December period, with specific peaks around interventions that increase the visibility for the tool (planned around the end of each month).

We hope that Community relations Specialists could help with this process. Please let us know if some kind of support is possible, and whether more details are needed for the request.

Thanks!

Proposed plan

  • Pick one Wikipedia from the list of 12 representative wikis for the next two week period (this can be in sync with the 2-week sprints the Language team follows).
  • Contact ambassadors (and maybe also translators) on that Wikipedia to be the messengers for local feedback and to post on their local Village Pumps (VPs) to stimulate discussions.
  • Report on Monday meeting with Community Relations Specialists about the feedback received (or lack of).

The above actions will be lead by the Language team, getting on-request support from @Trizek-WMF if questions arises, review is needed for communications, or additional help is needed for some particular reply.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 9:55 AM
Elitre added a subscriber: Elitre.Oct 1 2018, 10:58 AM

Thanks for filing this. We'll get back to you ASAP.

Elitre added a comment.Oct 1 2018, 3:25 PM

Hi @Pginer-WMF.
Trying to figure out how we can help best here.
Looking at the feedback flow in their language and helping surface any outstanding requests is something that CX fans are already well equipped to do. We actually tend to recommend centralising feedback and simply using languages that aren't English in the main feedback pages on mw.org - since with Structured Discussion a summary can be added and that can be in English so that any learnings or solutions are easily shared.
How many wikis do you want to reach during those months? Trying to figure out what a staged/progressive rollout or request for comments could look like so that you don't get spread too thin everywhere. Maybe feedback phases could be time-limited, so most of the feedback from a wiki would come in 2 specific weeks, then you would start asking the next for the next 2 weeks, and so on.

Elitre added a subscriber: Amire80.Oct 2 2018, 8:55 AM

Trying to figure out how we can help best here.

Thanks!

Looking at the feedback flow in their language and helping surface any outstanding requests is something that CX fans are already well equipped to do. We actually tend to recommend centralising feedback and simply using languages that aren't English in the main feedback pages on mw.org - since with Structured Discussion a summary can be added and that can be in English so that any learnings or solutions are easily shared.

Makes sense. In our messaging we have been pointing to the talk pages for Content translation and version 2, but despite the increase in translations with the new version since we announced it there has not been much activity in terms of feedback. One of the possibilities to reach to more people is to post messages in different Wikipedia village pumps, which can also link back to the main talk pages, but we are open to other proposals from the Specialists.

How many wikis do you want to reach during those months? Trying to figure out what a staged/progressive rollout or request for comments could look like so that you don't get spread too thin everywhere. Maybe feedback phases could be time-limited, so most of the feedback from a wiki would come in 2 specific weeks, then you would start asking the next for the next 2 weeks, and so on.

Regarding the number of wikis, it makes sense to focus on a limited set. We selected a set of 12 representative wikis based on different criteria, if those are to many we can find a subset based on those that tend to translate the most (i.e., based on the "CX translated pages" column from the table). Limiting the time for feedback and move the focus to the next wiki makes perfect sense.

I hope the above helps. Let me know if more information is needed.

Thanks. Short list works, most if not all of those communities should be covered by ambassadors and/or translators already.
Those people could be contacted and invited to be the messengers for local feedback and to post on their local VPs to stimulate discussions.
Posting on the talk pages for the pages listed at https://www.wikidata.org/wiki/Q20010301#sitelinks-wikipedia would also be a way to both reach interested people and flag that there's a new version now - I bet those help pages are all terribly out of date :/

What do you think?

What do you think?

It makes perfect sense. Posting to the VPs should reach a good number of people, and while the local help pages may have less visits they are a very relevant place for people interested in the tool.

Elitre added a comment.Oct 5 2018, 1:24 PM

It appears than other than figuring out which venues to use, and maybe get in touch with some volunteers, there's not so much there that the team wouldn't be able to handle by itself - we have always admired Amir's proactivity and efficiency in community engagement, and we can show him or others the resources available for this project.

I believe that getting in touch here + touching base weekly at the Monday meeting may be enough for you to actually be able to proceed autonomously?
(If necessary, @Trizek-WMF could still lend a hand with a few things.)

Also, if you want, you could take a look at this example of documentation that @Whatamidoing-WMF wrote in the past - she may be willing to write something like this for you with Trizek, Amir, others .

Pginer-WMF updated the task description. (Show Details)Oct 9 2018, 9:29 AM

Thanks @Elitre. I summarised the proposed plan at the ticket description on top. Feel free to edit anything if I misunderstood the proposed process. This looks good to me, and I think we can coordinate it with our internal 2-week sprint process.

Looks good to me as well!

Elitre assigned this task to Trizek-WMF.Oct 15 2018, 8:51 AM
Elitre triaged this task as Low priority.

Ok, "assigning" to Trizek to make Phab happy, and setting a priority to reflect that this is a quite casual thing.

Pginer-WMF closed this task as Resolved.Feb 27 2019, 2:47 PM

Now that version 2 is the default, we don't need people to explicitly enable it and I think we can close this outreach effort. Future efforts (T214713, T214689, T217129) will help us get additional feedback from more communities.